View Issue Details

IDProjectCategoryView StatusLast Update
0003003GNUnetGNSpublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003003: New GNS does not properly support SRV records
DescriptionIn particular, it tries to follow delegation chains through the special service name/label. FIXMEs exist in gnunet-service-gns_resolver.c.
TagsNo tags attached.

Relationships

related to 0002526 closedChristian Grothoff GNS proxy does not validate DANE/TLSA records 
has duplicate 0003049 closedChristian Grothoff GNS does not support SRV records 

Activities

Christian Grothoff

2013-10-16 13:58

manager   ~0007529

The conversion of SRV records from text to string is also not implemented in gnsrecord.

Christian Grothoff

2014-05-13 16:52

manager   ~0008332

Turns out this is related to 0002526, as both of these use the silly _-magic in names.

Christian Grothoff

2014-05-13 17:42

manager   ~0008333

SVN 33265 implements the resolver change (as documented at https://gnunet.org/srv_in_gns). gnunet-namestore already tolerates the names-with-dots (in fact, doesn't check label syntax at all). gnunet-gtk changes still need to be made.

Christian Grothoff

2014-06-07 16:55

manager   ~0008412

Seems to work as of SVN ~33585.

Issue History

Date Modified Username Field Change
2013-08-24 14:59 Christian Grothoff New Issue
2013-08-24 14:59 Christian Grothoff Status new => assigned
2013-08-24 14:59 Christian Grothoff Assigned To => Matthias Wachs
2013-08-24 15:00 Christian Grothoff Assigned To Matthias Wachs =>
2013-08-24 15:00 Christian Grothoff Status assigned => confirmed
2013-09-05 16:24 Christian Grothoff Relationship added related to 0003018
2013-09-05 16:24 Christian Grothoff Relationship deleted related to 0003018
2013-10-11 15:48 Christian Grothoff Relationship added has duplicate 0003049
2013-10-11 15:49 Christian Grothoff Target Version 0.10.1 => 0.11.0pre66
2013-10-16 13:58 Christian Grothoff Note Added: 0007529
2014-02-09 19:51 Christian Grothoff Target Version 0.11.0pre66 =>
2014-04-11 15:10 Christian Grothoff Priority normal => none
2014-05-13 16:52 Christian Grothoff Relationship added related to 0002526
2014-05-13 16:52 Christian Grothoff Note Added: 0008332
2014-05-13 16:53 Christian Grothoff Priority none => high
2014-05-13 16:53 Christian Grothoff Target Version => 0.11.0pre66
2014-05-13 16:53 Christian Grothoff Assigned To => Christian Grothoff
2014-05-13 16:53 Christian Grothoff Status confirmed => assigned
2014-05-13 17:42 Christian Grothoff Note Added: 0008333
2014-06-07 16:55 Christian Grothoff Note Added: 0008412
2014-06-07 16:55 Christian Grothoff Status assigned => resolved
2014-06-07 16:55 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-07 16:55 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed